Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	globulation 2 realtime strategy game
Name:		glob2
Version:	0.9.1
Release:	2
License:	GNU/GPL 
URL:		http://globulation2.org/
Group:		Games/Strategy
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires: SDL-devel
BuildRequires: SDL_ttf-devel
BuildRequires: SDL_net-devel
BuildRequires: SDL_image-devel
BuildRequires: speex-devel
BuildRequires: libogg-devel
BuildRequires: libvorbis-devel
BuildRequires: boost-devel
BuildRequires: zlib-devel
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: glibc-devel
BuildRequires: libstdc++-devel scons

%description
Globulation 2 brings a new type of gameplay to RTS games. The player chooses
the number of units to assign to various tasks, and the units do their best to
satisfy the requests. This allows players to manage more units and focus on
strategy rather than individual unit's jobs. Globulation 2 also features AI
allowing single-player games or any possible combination of human-computer
teams. Also included is a scripting language for versatile gameplay or
tutorials and an integrated map editor. Globulation2 can be played in single
player mode, through your local network, or over the Internet with Ysagoon
Online Gaming (or YOG for short).

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%prep
%setup -q -n %{name}-%{version}
chmod -x {src/*.h,src/*.cpp,libgag/include/*.h,gnupg/*,libgag/src/*.cpp,scripts/*,data/*.txt,campaigns/*,AUTHORS,COPYING,README,TODO}
sed -i 's|boost_thread|boost_thread-mt|' SConstruct

%build
scons %{?_smp_mflags} INSTALLDIR=%{_datadir} BINDIR=%{_bindir} CXXFLAGS="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
#scons INSTALLDIR=$RPM_BUILD_ROOT%{_datadir} BINDIR=$RPM_BUILD_ROOT%{_bindir} install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/glob2/{data/fonts,data/gfx/cursor,data/gui,data/icons,data/zik,maps,scripts,campaigns}
cp -rp {data,campaigns,scripts,maps} $RPM_BUILD_ROOT%{_datadir}/%{name}/

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp src/glob2 $RPM_BUILD_ROOT%{_bindir}/

find $RPM_BUILD_ROOT -name SConscript -exec rm -f {} \;

for f in 128x128 16x16 24x24 32x32 48x48 64x64; do
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$f/apps
mv $RPM_BUILD_ROOT%{_datadir}/glob2/data/icons/glob2-icon-$f.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$f/apps/glob2.png
done
rm -rf $RPM_BUILD_ROOT%{_datadir}/glob2/data/icons

install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications

%files
%defattr(-,root,root)
%_bindir
%_datadir/applications
%_datadir/glob2 
%_datadir/icons

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2008 Christian Wasem <wasem@ccux-linux.de> 0.9.1-2
- changed package group to Geames/Strategy
* Wed Apr 09 2008 Christian Metzen <metzench@ccux-linux.de> 0.9.1-1
- Version update
* Thu Apr 19 2007 Christian Wasem <wasem@ccux-linux.de> 0.8.23-1
- Update to new Version
* Fri Jan 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.21-1
- Initial Release
